---
title: "Set Channel Purpose"
slug: "set-channel-purpose"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/set-channel-purpose"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Set Channel Purpose
Post/api/v1/channels.setPurpose
Set the purpose or description of the channel. It is the same as Set Channel Description. Permission required: `edit-room`
### Changelog
| Version | Description |
| --- | --- |
| 0.48.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"roomId": "WDuJLFkjwk6L7LdFC",
"purpose": "greetings"
}
```
object roomIdstring Required
The channel's id
purposestring Required
The description to set for the channel.
Responses200
OK
Success
```json
{
"purpose": "greetings",
"success": true
}
```
object purposestring
successboolean
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring